







#import "FavoriteMethodCell.h"
#define spanish(sub) __weak typeof(sub) weak##sub = sub;
#define initially(sub) __strong typeof(sub) sub = weak##sub;

@interface FavoriteMethodCell()



@property (nonatomic, strong) NSTimer *spine;

@property (nonatomic, assign) BOOL seeAgeLabelDid;

@end

@implementation FavoriteMethodCell

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:CGRectZero];
    if (self) {
        
        _theBendSize = CGSizeMake(200, 40);
        _jobJobObject = 4;
        _model = nil;
        _channelCount = 3;
        _barShe = 0;
        _fillCityPubOld = 0;
        _status = ParagraphInvertKilobytesMostGurationAddition;
        _seeAgeLabelDid = NO;
        
    }
    return self;
}

- (void)cancelingBedProceedBurnAffectingValue
{
    CGFloat hisInfer = [[self.layer presentationLayer] frame].origin.x;
    CGFloat loudBusWidth = self.frame.size.width;
    
    
    CGFloat speed = (self.superview.frame.size.width + loudBusWidth) / self.jobJobObject;
    
    
    CGFloat spouseSpaTime = loudBusWidth / speed;
    
    if (_fillCityPubOld > 0) {
        self.status = PreviousYardSenseYahooModerateRemove;
        if (-1< hisInfer < 1) {
            
            if (_seeAgeLabelDid) { return;}
            _seeAgeLabelDid = YES;
            [self pause];
            [self performSelector:@selector(resume) withObject:nil afterDelay:_fillCityPubOld];
            [self performSelector:@selector(sampleStatus) withObject:nil afterDelay:_fillCityPubOld - spouseSpaTime];
        }
    }
}
- (void)sampleStatus
{
    self.status = MetadataDryFifteenUploadingReturnsBinary;
}

- (void)enhanceCycleVoiceKernelHour:(void(^)(void))animations completion:(void(^)(BOOL))completion
{
    self.status = MetadataDryFifteenUploadingReturnsBinary;
    
    _spine = [NSTimer timerWithTimeInterval:0.01 target:self selector:@selector(cancelingBedProceedBurnAffectingValue) userInfo:nil repeats:YES];
    [[NSRunLoop currentRunLoop] addTimer:_spine forMode:NSRunLoopCommonModes];
    
    
    spanish(self);
    [UIView animateWithDuration:self.jobJobObject delay:0 options:(UIViewAnimationOptionCurveLinear | UIViewAnimationOptionAllowUserInteraction) animations:^{
        
        if (animations) {
            animations();
        }
        
    } completion:^(BOOL finished) {
        initially(self);
        self->_status = MetadataDryFifteenUploadingReturnsBinary;
        
        if (completion) {
            completion(finished);
        }
        
        if(self->_spine) {
            [self->_spine invalidate];
            self->_spine = nil;
        }
        
    }];
}

- (void)pause
{
    
    CFTimeInterval ejectTime = [self.layer convertTime:CACurrentMediaTime() fromLayer:nil];
    
    
    self.layer.timeOffset = ejectTime;
    
    
    self.layer.speed = 0;
}

- (void)resume
{
    
    CFTimeInterval ejectTime = self.layer.timeOffset;
    
    CFTimeInterval dogJobGolfTrad = CACurrentMediaTime() - ejectTime;
    
    self.layer.timeOffset = 0;
    
    self.layer.beginTime = dogJobGolfTrad;
    
    self.layer.speed = 1;
}


@end
